searchNodes=[{"doc":"Simple GraphQL client.","ref":"GQL.html","title":"GQL","type":"module"},{"doc":"Like query/2 , except raises GQL.GraphQLError if the server returns errors.","ref":"GQL.html#query!/2","title":"GQL.query!/2","type":"function"},{"doc":"Queries a GraphQL endpoint. Returns {:ok, body, headers} upon success or {:error, body, headers} if the response contains an &quot;errors&quot; key. An exception will be raised for exceptional errors: GQL.ConnectionError if the HTTP client returns a connection error such as a timeout. GQL.ServerError if the server responded with a 5xx code. Options :headers - HTTP headers to include. The default value is [] . :http_options - Options to be passed to Finch.request/3 . The default value is [receive_timeout: 30000] . :variables - Keyword list or map of variables. The default value is [] . :url - Required. URL to which the request is made.","ref":"GQL.html#query/2","title":"GQL.query/2","type":"function"},{"doc":"Error raised when a connection error occurs. See Mint.TransportError for list of possible values for the reason field.","ref":"GQL.ConnectionError.html","title":"GQL.ConnectionError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"GQL.ConnectionError.html#message/1","title":"GQL.ConnectionError.message/1","type":"function"},{"doc":"Error raised when response contains GraphQL errors.","ref":"GQL.GraphQLError.html","title":"GQL.GraphQLError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"GQL.GraphQLError.html#message/1","title":"GQL.GraphQLError.message/1","type":"function"},{"doc":"Error raised when server returns 5xx HTTP status code.","ref":"GQL.ServerError.html","title":"GQL.ServerError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"GQL.ServerError.html#message/1","title":"GQL.ServerError.message/1","type":"function"},{"doc":"Simple GraphQL client for Elixir.","ref":"readme.html","title":"GQL","type":"extras"},{"doc":"The package can be installed by adding gql to your list of dependencies in mix.exs : def deps do [ { :gql , &quot;~&gt; 0.5.0&quot; } ] end","ref":"readme.html#installation","title":"GQL - Installation","type":"extras"},{"doc":"url = &quot;https://api.spacex.land/graphql/&quot; # List SpaceX launches GQL . query ( &quot;query Launches { launches { id } }&quot; , url : url ) # Get SpaceX launch by ID GQL . query ( &quot;query Launch($launch_id: ID!) { launch(id: $launch_id) { details } }&quot; , url : url , variables : [ launch_id : &quot;9&quot; ] ) See GQL docs for details.","ref":"readme.html#usage","title":"GQL - Usage","type":"extras"},{"doc":"This library does not support GraphQL fragments. I'm open to pull-requests but this is not something that is a priority to me.","ref":"readme.html#fragments","title":"GQL - Fragments","type":"extras"},{"doc":"Please submit an issue or pull-request if you know of any other GraphQL client libraries for Elixir. absinthe_client The README indicates this project is not ready for use and it hasn't seen commits since 2019. neuron Neuron is a great library and I have successfully used it in production. But there are a few issues that have lead me to create GQL instead: There are serious problems in how fragments are handled in Neuron.Fragment . All fragments are registered either globally using Application.put_env/3 or per-process using Process.put/2 . It would be easy for two different client libraries to overwrite each others' fragments and cause surprising and hard to find bugs. Neuron does not always return descriptive errors. For example, when an API endpoint returns an HTTP status of 500 with HTML in the body (like Shopify) then Neuron.JSONParseError is returned as opposed to an error that indicates 500 error. This makes the errors more cryptic and harder for apps like sentry.io to categorize. I prefer finch over httpoison .","ref":"readme.html#alternatives","title":"GQL - Alternatives","type":"extras"}]